> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List pending questions

> Get all pending question requests across all sessions.



## OpenAPI

````yaml /openapi.json get /question
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /question:
    get:
      summary: List pending questions
      description: Get all pending question requests across all sessions.
      operationId: question.list
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
      responses:
        '200':
          description: List of pending questions
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/QuestionRequest'
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.question.list({
              ...
            })
components:
  schemas:
    QuestionRequest:
      type: object
      properties:
        id:
          type: string
          pattern: ^que.*
        sessionID:
          type: string
          pattern: ^ses.*
        questions:
          description: Questions to ask
          type: array
          items:
            $ref: '#/components/schemas/QuestionInfo'
        tool:
          $ref: '#/components/schemas/QuestionTool'
      required:
        - id
        - sessionID
        - questions
    QuestionInfo:
      type: object
      properties:
        question:
          description: Complete question
          type: string
        header:
          description: Very short label (max 30 chars)
          type: string
        options:
          description: Available choices
          type: array
          items:
            $ref: '#/components/schemas/QuestionOption'
        multiple:
          description: Allow selecting multiple choices
          type: boolean
        custom:
          description: 'Allow typing a custom answer (default: true)'
          type: boolean
      required:
        - question
        - header
        - options
    QuestionTool:
      type: object
      properties:
        messageID:
          type: string
          pattern: ^msg.*
        callID:
          type: string
      required:
        - messageID
        - callID
    QuestionOption:
      type: object
      properties:
        label:
          description: Display text (1-5 words, concise)
          type: string
        description:
          description: Explanation of choice
          type: string
      required:
        - label
        - description

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.